﻿package {
	import flash.display.*;
	import flash.filters.BlurFilter;
	
	import hype.extended.behavior.MouseFollowSpring;
	import hype.framework.display.BitmapCanvas;
	import hype.extended.rhythm.FilterCanvasRhythm;
	import hype.framework.core.TimeType;
	
	public class CerchioMolla extends Sprite {
		public function CerchioMolla() {
			var contenitore:Sprite = new Sprite();
			
			var forma:Shape = new Shape();
			
			forma.graphics.lineStyle (4, 0, 0.4);
			forma.graphics.beginFill(0xFF6600, 0.6);
			forma.graphics.drawRoundRect (-30, -30, 60, 60, 50);
			
			contenitore.addChild(forma);
			
			var mfs:MouseFollowSpring = new MouseFollowSpring(forma, 0.9, 0.1);
			mfs.start();
			
			var bmc:BitmapCanvas = new BitmapCanvas(stage.stageWidth, stage.stageHeight,
																				 true);
			addChild(bmc);
			addChild(contenitore);
			
			bmc.startCapture(contenitore, true);
			
			var blur:BlurFilter = new BlurFilter(5,5,3);
			var blurRhythm:FilterCanvasRhythm = new FilterCanvasRhythm([blur], bmc);
			blurRhythm.start(TimeType.ENTER_FRAME, 4);
		}
	}
	
}